Subject: Re: bug#33404: failure behavior for "guix package --upgrade"

From: [email-masked] (Ludovic Courtès)
Date: Fri, 16 Nov 2018 22:22:41 +0100

Hello,

Reed Campbell Meyerson <[email-masked]> skribis:

> I am experiencing some strange behavior when upgrading packages. After a
> substitution fails, the upgrade will fail at the same point every time
> until I upgrade that point on its own, and then it will proceed until it
> potentially fails at a different point.
>
> I have attached a screenshot of the output. This was while trying to
> upgrade qutebrowser, but it happened before when upgrading GHC.

Which substitute server(s) are you using?

It could be that the substitute Guix was trying to fetch was temporarily
unavailable from the server and eventually came back—hydra.gnu.org has
been under maintenance a week ago as you might have seen.

Thanks for reporting the issue,
Ludo’.